'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _reactCfHelperI18n = require('react-cf-helper-i18n');

var _reactCfHelperI18n2 = _interopRequireDefault(_reactCfHelperI18n);

var _reactCfHelperCdn = require('react-cf-helper-cdn');

var _reactCfHelperCdn2 = _interopRequireDefault(_reactCfHelperCdn);

var _reactCfGraphqlClient = require('react-cf-graphql-client');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* globals window */

var Companies = function Companies(props) {
  var go = function go(tenant) {
    // set cf-tenant cookie
    _reactCfGraphqlClient.Cookies.set('cf-tenant', tenant, { expires: 365 });

    // redirect to login form
    window.location = '/signin/' + tenant;
  };

  var records = props.records;

  var listItems = records.map(function (company) {
    return _react2.default.createElement(
      _semanticUiReact.List.Item,
      {
        key: company.id.toString(),
        onClick: function onClick() {
          go(company.tenant);
        }
      },
      _react2.default.createElement(_semanticUiReact.Image, {
        src: _reactCfHelperCdn2.default.image('no-image-placeholder-350-350.jpg'),
        width: 60,
        height: 60,
        centered: true
      }),
      _react2.default.createElement(
        _semanticUiReact.List.Content,
        null,
        _react2.default.createElement(
          _semanticUiReact.List.Header,
          null,
          company.name
        ),
        _react2.default.createElement(
          _semanticUiReact.List.Description,
          null,
          _reactCfHelperI18n2.default.t('masterData.countries.list.' + company.countryAlphaThreeCode.toLowerCase())
        )
      )
    );
  });

  return _react2.default.createElement(
    _semanticUiReact.List,
    { divided: true, relaxed: true, animated: true, selection: true, verticalAlign: 'middle' },
    listItems
  );
};

Companies.defaultProps = {
  records: []
};

Companies.propTypes = {
  records: _propTypes2.default.arrayOf(_propTypes2.default.object)
};

exports.default = Companies;