'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _reactCfHelperI18n = require('react-cf-helper-i18n');

var _reactCfHelperI18n2 = _interopRequireDefault(_reactCfHelperI18n);

var _Companies = require('./Companies');

var _Companies2 = _interopRequireDefault(_Companies);

var _store = require('../../store');

var _store2 = _interopRequireDefault(_store);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Company = function (_PureComponent) {
  _inherits(Company, _PureComponent);

  function Company(props) {
    _classCallCheck(this, Company);

    var _this = _possibleConstructorReturn(this, (Company.__proto__ || Object.getPrototypeOf(Company)).call(this, props));

    _this.state = {
      form: _store2.default.getState().form,
      name: false,
      sent: false,
      apiResponse: false,
      apiMessages: [],
      companies: []
    };

    _store2.default.subscribe(function () {
      var _store$getState = _store2.default.getState(),
          form = _store$getState.form;

      _this.setState({
        form: form,
        name: form.errors.company.name,
        sent: form.inputs.button.submit,
        apiResponse: form.api.submit.response,
        apiMessages: form.api.submit.messages,
        companies: form.api.responses.companies
      });
    });
    return _this;
  }

  _createClass(Company, [{
    key: 'renderList',
    value: function renderList() {
      var component = null;
      var companies = this.state.companies;

      if (companies.length > 0) {
        component = _react2.default.createElement(_Companies2.default, { records: companies });
      }
      return component;
    }
  }, {
    key: 'render',
    value: function render() {
      var _state = this.state,
          name = _state.name,
          form = _state.form,
          sent = _state.sent,
          apiResponse = _state.apiResponse,
          apiMessages = _state.apiMessages;
      var _props = this.props,
          setValue = _props.setValue,
          submit = _props.submit;

      return _react2.default.createElement(
        _semanticUiReact.Card,
        { fluid: true },
        _react2.default.createElement(
          _semanticUiReact.Card.Content,
          null,
          _react2.default.createElement(
            _semanticUiReact.Form,
            null,
            _react2.default.createElement(
              _semanticUiReact.Form.Field,
              { required: true },
              _react2.default.createElement(_semanticUiReact.Form.Input, {
                icon: 'building outline',
                iconPosition: 'left',
                disabled: sent,
                action: {
                  color: 'blue',
                  icon: 'search',
                  disabled: sent,
                  loading: sent,
                  onClick: function onClick() {
                    submit(form);
                  }
                },
                label: _reactCfHelperI18n2.default.t('account.user.login.company.form.name'),
                placeholder: _reactCfHelperI18n2.default.t('account.user.login.company.form.name'),
                onChange: function onChange(event) {
                  return setValue(event.target.value, 'name');
                },
                autoFocus: 'autofocus',
                error: name,
                fluid: true
              })
            ),
            _react2.default.createElement(_semanticUiReact.Message, {
              visible: apiResponse,
              error: true,
              header: _reactCfHelperI18n2.default.t('validates.errors.headers.validationFailed'),
              list: apiMessages
            })
          )
        ),
        this.renderList()
      );
    }
  }]);

  return Company;
}(_react.PureComponent);

Company.propTypes = {
  submit: _propTypes2.default.func.isRequired,
  setValue: _propTypes2.default.func.isRequired
};

exports.default = Company;