'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactRedux = require('react-redux');

var _actions = require('../actions');

var _Company = require('../components/forms/Company');

var _Company2 = _interopRequireDefault(_Company);

var _request = require('../api/request');

var _request2 = _interopRequireDefault(_request);

var _valid = require('./valid');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapStateToProps = function mapStateToProps() {
  return {};
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    submit: function submit(form) {
      if ((0, _valid.validCompany)(form, dispatch)) {
        // show progress on button
        dispatch((0, _actions.buttonInputs)(true, 'submit'));

        // hide api error response messages
        dispatch((0, _actions.apiSubmit)(false, 'response'));

        // FIXME: Move this to an action
        (0, _request2.default)(form).then(function (response) {
          // hide api error response messages
          dispatch((0, _actions.apiSubmit)(false, 'response'));

          // hide progress on button
          dispatch((0, _actions.buttonInputs)(false, 'submit'));

          // add api responses companies
          dispatch((0, _actions.apiResponses)(response.data.accountCompanySearch, 'companies'));
        }).catch(function (response) {
          if (Object.prototype.hasOwnProperty.call(response, 'message')) {
            dispatch((0, _actions.apiSubmit)([response.message], 'messages'));
          } else {
            dispatch((0, _actions.apiSubmit)(response.graphQLErrors.map(function (error) {
              return error.message;
            }), 'messages'));
          }

          // show api error response messages
          dispatch((0, _actions.apiSubmit)(true, 'response'));

          // hide progress on button
          dispatch((0, _actions.buttonInputs)(false, 'submit'));

          dispatch((0, _actions.apiResponses)([], 'companies'));
        });
      }
    },
    setValue: function setValue(value, property) {
      dispatch((0, _actions.companyInputs)(value, property));
      dispatch((0, _actions.companyErrors)(false, property));
    }
  };
};

exports.default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_Company2.default);