'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validUser = exports.validCompany = undefined;

var _is_js = require('is_js');

var _is_js2 = _interopRequireDefault(_is_js);

var _reactCfHelperI18n = require('react-cf-helper-i18n');

var _reactCfHelperI18n2 = _interopRequireDefault(_reactCfHelperI18n);

var _actions = require('../actions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var validCompany = exports.validCompany = function validCompany(form, dispatch) {
  var invalid = false;
  var properties = [{
    action: _actions.companyErrors,
    error: _is_js2.default.empty(form.inputs.company.name),
    name: 'name',
    message: _reactCfHelperI18n2.default.t('validates.errors.messages.blank')
  }];

  properties.forEach(function (property) {
    if (property.error) {
      invalid = property.error;
    }
  });

  if (invalid) {
    properties.forEach(function (property) {
      dispatch(property.action(property.error, property.name));
    });
  }

  return !invalid;
}; /**
    * Validate inputs on all forms based state
    * @param {Object} form
    */
var validUser = exports.validUser = function validUser(form, dispatch) {
  var invalid = false;
  var properties = [{
    action: _actions.companyErrors,
    error: _is_js2.default.empty(form.inputs.company.name),
    name: 'name',
    message: _reactCfHelperI18n2.default.t('validates.errors.messages.blank')
  }];

  properties.forEach(function (property) {
    if (property.error) {
      invalid = property.error;
    }
  });

  if (invalid) {
    properties.forEach(function (property) {
      dispatch(property.action(property.error, property.name));
    });
  }

  return !invalid;
};